/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2012. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: panelCallback */
#define  PANEL_INSTR_DESC                 2       /* control type: string, callback function: (none) */
#define  PANEL_IDQUERY                    3       /* control type: radioButton, callback function: (none) */
#define  PANEL_RESET                      4       /* control type: radioButton, callback function: (none) */
#define  PANEL_CHECKBOX                   5       /* control type: radioButton, callback function: (none) */
#define  PANEL_START_FREQ                 6       /* control type: numeric, callback function: (none) */
#define  PANEL_STOP_FREQ                  7       /* control type: numeric, callback function: (none) */
#define  PANEL_SWEEP_POINTS               8       /* control type: numeric, callback function: (none) */
#define  PANEL_ERROR_TERM                 9       /* control type: numeric, callback function: (none) */
#define  PANEL_PLOT_ERROR_TERM            10      /* control type: command, callback function: plotErrorTerm */
#define  PANEL_SAVE_ERROR_TERMS           11      /* control type: command, callback function: saveErrorTerms */
#define  PANEL_RECALL_ERROR_TERMS         12      /* control type: command, callback function: recallErrorTerms */
#define  PANEL_START                      13      /* control type: command, callback function: startButton */
#define  PANEL_STOP                       14      /* control type: command, callback function: stopButton */
#define  PANEL_GRAPH                      15      /* control type: graph, callback function: (none) */
#define  PANEL_DECORATION_3               16      /* control type: deco, callback function: (none) */
#define  PANEL_DECORATION_2               17      /* control type: deco, callback function: (none) */
#define  PANEL_DECORATION                 18      /* control type: deco, callback function: (none) */
#define  PANEL_TEXTMSG                    19      /* control type: textMsg, callback function: (none) */
#define  PANEL_FILE_NAME                  20      /* control type: string, callback function: (none) */


     /* Control Arrays: */

          /* (no control arrays in the resource file) */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK panelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK plotErrorTerm(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK recallErrorTerms(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK saveErrorTerms(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK startButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK stopButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
